<?php

//Text
$settings = array(
	'id'			=> 'ajax-trigger-text-test',
	'type'			=> 'text',
	'title'			=> esc_html__( 'Text Field', 'miion' ),
	'description'	=> esc_html__( 'This is text field', 'miion' ),
	'default'		=> '',
	'refresh'		=> 0,
	'instant'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Textarea
$settings = array(
	'id'			=> 'ajax-trigger-textarea-test',
	'type'			=> 'textarea',
	'title'			=> esc_html__( 'Textarea Field', 'miion' ),
	'description'	=> esc_html__( 'This is textarea field', 'miion' ),
	'default'		=> '',
	'refresh'		=> 0,
	'instant'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Select
$settings = array(
	'id'			=> 'ajax-trigger-select-test',
	'type'			=> 'select',
	'title'			=> esc_html__( 'Select Field', 'miion' ),
	'description'	=> esc_html__( 'This is select field', 'miion' ),
	'choices'		=> array(
		'boxed'		=> esc_html__( 'Boxed', 'miion' ),
		'wide'		=> esc_html__( 'Wide', 'miion' )
	),
	'default'		=> 'wide',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Color
$settings = array(
	'id'			=> 'ajax-trigger-color-test',
	'type'			=> 'color',
	'title'			=> esc_html__( 'Color Field', 'miion' ),
	'description'	=> esc_html__( 'This is color field', 'miion' ),
	'default'		=> '',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Image
$settings = array(
	'id'			=> 'ajax-trigger-image-test',
	'type'			=> 'image',
	'title'			=> esc_html__( 'Image Field', 'miion' ),
	'description'	=> esc_html__( 'This is image field', 'miion' ),
	'default'		=> '',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Alpha Color
$settings = array(
	'id'			=> 'ajax-trigger-alpha-test',
	'type'			=> 'alpha',
	'title'			=> esc_html__( 'Alpha Field', 'miion' ),
	'description'	=> esc_html__( 'This is alpha field', 'miion' ),
	'default'		=> '',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Background
$settings = array(
	'id'			=> 'ajax-trigger-bg-test',
	'type'			=> 'background',
	'title'			=> esc_html__( 'Background Field', 'miion' ),
	'description'	=> esc_html__( 'This is background field', 'miion' ),
	'default'		=> '',
	'refresh'		=> 0
);
MiionCustomizerConfig::buildFields( $settings );

//Border
$settings = array(
	'id'			=> 'ajax-trigger-border-test',
	'type'			=> 'border',
	'title'			=> esc_html__( 'Border Field', 'miion' ),
	'description'	=> esc_html__( 'This is border field', 'miion' ),
	'default'		=> '',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Dimension
$settings = array(
	'id'			=> 'ajax-trigger-dimension-test',
	'type'			=> 'dimension',
	'title'			=> esc_html__( 'Dimension Field', 'miion' ),
	'description'	=> esc_html__( 'This is dimension field', 'miion' ),
	'default'		=> '',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Links
$settings = array(
	'id'			=> 'ajax-trigger-link-color-test',
	'type'			=> 'link',
	'title'			=> esc_html__( 'Link Color Field', 'miion' ),
	'description'	=> esc_html__( 'This is link color field', 'miion' ),
	'default'		=> '',
	'refresh'		=> 0
);
MiionCustomizerConfig::buildFields( $settings );

//Multi Check
$settings = array(
	'id'			=> 'ajax-trigger-multi-check-test',
	'type'			=> 'multicheck',
	'title'			=> esc_html__( 'Multi Check Field', 'miion' ),
	'description'	=> esc_html__( 'This is multi check field', 'miion' ),
	'default'		=> '',
	'items' 		=> array(
		'portfolio'	    => esc_html__( 'Portfolio', 'miion' ),
		'team'	        => esc_html__( 'Team', 'miion' ),
		'testimonial'	=> esc_html__( 'Testimonial', 'miion' ),
		'events'	    => esc_html__( 'Events', 'miion' ),
		'services'	    => esc_html__( 'Services', 'miion' ),
	),
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Radio Image
$settings = array(
	'id'			=> 'ajax-trigger-radio-image-test',
	'type'			=> 'radioimage',
	'title'			=> esc_html__( 'Radio Image Field', 'miion' ),
	'description'	=> esc_html__( 'This is radio image field', 'miion' ),
	'default'		=> 'no-sidebar',
	'items' 		=> array(
		'no-sidebar'	=> MIION_ADMIN_URL . '/customizer/assets/images/page-layouts/1.png',
		'right-sidebar'	=> MIION_ADMIN_URL . '/customizer/assets/images/page-layouts/2.png',
		'left-sidebar'	=> MIION_ADMIN_URL . '/customizer/assets/images/page-layouts/3.png',
		'both-sidebar'	=> MIION_ADMIN_URL . '/customizer/assets/images/page-layouts/4.png'		
	),
	'cols'			=> '4',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Sidebars
$settings = array(
	'id'			=> 'ajax-trigger-sidebars-test',
	'type'			=> 'sidebars',
	'title'			=> esc_html__( 'Sidebar Field', 'miion' ),
	'description'	=> esc_html__( 'This is sidebar field', 'miion' ),
	'default'		=> '',
	'refresh'		=> 0
);
MiionCustomizerConfig::buildFields( $settings );

//Toggle Switch
$settings = array(
	'id'			=> 'ajax-trigger-toggle-test',
	'type'			=> 'toggle',
	'title'			=> esc_html__( 'Toggle Switch Field', 'miion' ),
	'description'	=> esc_html__( 'This is toggle switch field', 'miion' ),
	'default'		=> '',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Pages
$settings = array(
	'id'			=> 'ajax-trigger-pages-test',
	'type'			=> 'pages',
	'title'			=> esc_html__( 'Pages Field', 'miion' ),
	'description'	=> esc_html__( 'This is pages field', 'miion' ),
	'default'		=> '',
	'refresh'		=> 0
);
MiionCustomizerConfig::buildFields( $settings );

//Height Width
$settings = array(
	'id'			=> 'ajax-trigger-hw-test',
	'type'			=> 'hw',
	'title'			=> esc_html__( 'Height Width Field', 'miion' ),
	'description'	=> esc_html__( 'This is height width field', 'miion' ),
	'default'		=> '',
	'refresh'		=> 0
);
MiionCustomizerConfig::buildFields( $settings );

//Fonts
$settings = array(
	'id'			=> 'ajax-trigger-fonts-test',
	'type'			=> 'fonts',
	'title'			=> esc_html__( 'Google Fonts Field', 'miion' ),
	'description'	=> esc_html__( 'This is fonts field', 'miion' ),
	'default'		=> '',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Drag Drop
$settings = array(
	'id'			=> 'ajax-trigger-dd-test',
	'type'			=> 'dragdrop',
	'title'			=> esc_html__( 'Drag Drop Field', 'miion' ),
	'description'	=> esc_html__( 'This is drag and drop field.', 'miion' ),
	'default' 		=> array(
		'Left' 	=> array(
			'date'		=> esc_html__( 'Date', 'miion' ),
			'client'	=> esc_html__( 'Client', 'miion' ),
			'duration'	=> esc_html__( 'Duration', 'miion' )		
		),
		'Right' 	=> array(
			'category'	=> esc_html__( 'Category', 'miion' ),
			'tag'		=> esc_html__( 'Tags', 'miion' ),
			'share'		=> esc_html__( 'Share', 'miion' )			
		),
		'Disabled' 	=> array(
			'estimation'=> esc_html__( 'Estimation', 'miion' ),
			'url'		=> esc_html__( 'Url', 'miion' ),
			'place'		=> esc_html__( 'Place', 'miion' )
		)
	),
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Export
$settings = array(
	'id'			=> 'ajax-trigger-export-test',
	'type'			=> 'export',
	'title'			=> esc_html__( 'Export Field', 'miion' ),
	'description'	=> esc_html__( 'This is export field', 'miion' ),
	'default'		=> '',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Import
$settings = array(
	'id'			=> 'ajax-trigger-import-test',
	'type'			=> 'import',
	'title'			=> esc_html__( 'Import Field', 'miion' ),
	'description'	=> esc_html__( 'This is import field', 'miion' ),
	'default'		=> '',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Section Start
$settings = array(
	'type'			=> 'section',
	'label'			=> esc_html__( 'Options Section Title', 'miion' ),
	'description'	=> esc_html__( 'This is inside option section description.', 'miion' ),
	'section_stat'	=> true
);
MiionCustomizerConfig::buildFields( $settings );

//Section End
$settings = array(
	'type'			=> 'section',
	'section_stat'	=> false
);
MiionCustomizerConfig::buildFields( $settings );

//Header Label Start
$settings = array(
	'type'			=> 'toggle_section',
	'label'			=> esc_html__( 'Header Label Settings', 'miion' ),
	'description'	=> esc_html__( 'Click to edit address label settings.', 'miion' ),
	'section_stat'	=> true
);
MiionCustomizerConfig::buildFields( $settings );

//Header Label End
$settings = array(
	'type'			=> 'toggle_section',
	'section_stat'	=> true
);
MiionCustomizerConfig::buildFields( $settings );